%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           moovida-plugins-good
Version:        1.0.9
Release:        3%{?dist}
Summary:        Moovida media center "good" plugins

Group:          Development/Languages
License:        GPLv3
URL:            http://www.moovida.com
Source0:        http://www.moovida.com/media/public/moovida-plugins-good-%{version}.tar.gz
Patch0:         moovida-plugins-good-install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  moovida-base = %{version}
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  gettext

Requires:       moovida-base = %{version}

Obsoletes:      elisa-plugins-good <= 0.5.37
Provides:       elisa-plugins-good = %{version}-%{release}

%description
Moovida is much more than a simple media player... it is a cutting edge media
center bringing the best of the internet to your TV screen. Automatically
creating your own digital library you can browse from your sofa with a remote
control. The elegant and easy to use interface automatically displays artwork
and fan art throughout and gives you access to movie synopsis and artist info.

This package contains a collection of well-supported plug-ins of
good quality and under the LGPL license.

%prep
%setup -q -n elisa-plugins-good-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa_plugin_winscreensaver*
rm -rf $RPM_BUILD_ROOT/%{python_sitelib}/elisa/plugins/winscreensaver*
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{python_sitelib}/elisa
%dir %{python_sitelib}/elisa/plugins
%{python_sitelib}/elisa/plugins/gnome
%{python_sitelib}/elisa/plugins/hal
%dir %{python_sitelib}/elisa/plugins/base
%{python_sitelib}/elisa/plugins/base/*.py
%{python_sitelib}/elisa/plugins/base/*.pyc
%{python_sitelib}/elisa/plugins/base/*.pyo
%{python_sitelib}/elisa/plugins/base/input_providers
%{python_sitelib}/elisa/plugins/base/messages
%{python_sitelib}/elisa/plugins/base/models
%{python_sitelib}/elisa/plugins/base/tests
%dir %{python_sitelib}/elisa/plugins/base/i18n
%{python_sitelib}/elisa/plugins/base/i18n/__init__*
%{python_sitelib}/elisa/plugins/base/i18n/*.po
%{python_sitelib}/elisa/plugins/base/i18n/*.pot
%{python_sitelib}/elisa_plugin_*
# Nonstandard locale data because it's not in standard locale directory
%lang(cs) %{python_sitelib}/elisa/plugins/base/i18n/cs
%lang(de) %{python_sitelib}/elisa/plugins/base/i18n/de
%lang(es) %{python_sitelib}/elisa/plugins/base/i18n/es
%lang(et) %{python_sitelib}/elisa/plugins/base/i18n/et
%lang(fr) %{python_sitelib}/elisa/plugins/base/i18n/fr
%lang(gl) %{python_sitelib}/elisa/plugins/base/i18n/gl
%lang(hu) %{python_sitelib}/elisa/plugins/base/i18n/hu
%lang(it) %{python_sitelib}/elisa/plugins/base/i18n/it
%lang(nl) %{python_sitelib}/elisa/plugins/base/i18n/nl
%lang(pl) %{python_sitelib}/elisa/plugins/base/i18n/pl
%lang(ru) %{python_sitelib}/elisa/plugins/base/i18n/ru
%lang(sk) %{python_sitelib}/elisa/plugins/base/i18n/sk

%changelog
* Thu Jul 15 2010 Graeme Gillies <ggillies at, redhat.com> 1.0.9-3
- Fixed spelling mistake in description
- Changed excludes to just be removed during install instead
- Fixed file list to not throw error about duplicates

* Tue Dec 15 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.9-2
- Refactored/cleaned up spec file for readability

* Thu Dec  3 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.9-1
- Updated to Moovida 1.0.9

* Mon Nov 16 2009 Graeme Gillies <ggillies at, redhat.com> 1.0.8-1
- Update to 1.0.8
- Refactored/cleaned up spec file

* Thu Aug  6 2009 Matthias Saou <http://freshrpms.net/> 1.0.6-1
- Update to 1.0.6.

* Thu Jul 23 2009 Matthias Saou <http://freshrpms.net/> 1.0.5-1
- Update to 1.0.5.

* Thu Jul  2 2009 Matthias Saou <http://freshrpms.net/> 1.0.4-1
- Update to 1.0.4.

* Tue Jun 16 2009 Matthias Saou <http://freshrpms.net/> 1.0.3-1
- Update to 1.0.3.

* Mon Jun  8 2009 Matthias Saou <http://freshrpms.net/> 1.0.2-1
- Update to 1.0.2.

* Mon Jun  1 2009 Matthias Saou <http://freshrpms.net/> 1.0.1-2
- Obsolete elisa, to avoid conflicts and provide an upgrade path.

* Fri May 29 2009 Matthias Saou <http://freshrpms.net/> 1.0.1-1
- Initial RPM release based on elisa-plugins-good spec file.
